## status-area-orientationlock-applet 1.1.1-2

=== po/Makefile ===


GETTEXT_PACKAGE = status-area-orientationlock-applet
PACKAGE = status-area-orientationlock-applet

SHELL = /bin/sh

prefix = /usr
DATADIRNAME = share
itlocaledir = $(prefix)/$(DATADIRNAME)/locale

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

GMSGFMT = msgfmt
MSGFMT = msgfmt
XGETTEXT = xgettext
MSGMERGE = msgmerge 

PO_LINGUAS= de_DE en_GB en_US pl_PL fi_FI fr_FR nl_NL

USE_LINGUAS= de_DE en_GB en_US pl_PL fi_FI fr_FR nl_NL

POFILES=$(shell LINGUAS="$(PO_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.po "; done)

DISTFILES = Makefile POTFILES.in $(POFILES)
EXTRA_DISTFILES = ChangeLog POTFILES.skip Makevars LINGUAS

POTFILES = \
	../src/gui.py \
# This comment gets stripped out

CATALOGS=$(shell LINGUAS="$(USE_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.gmo "; done)

.SUFFIXES:
.SUFFIXES: .po .gmo .mo 

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -o $$file $<

all: compile

compile: $(CATALOGS)

$(GETTEXT_PACKAGE).pot: $(POTFILES)
	$(XGETTEXT) --package-name=$(PACKAGE) -o $(GETTEXT_PACKAGE).pot $(POTFILES) 

install: all
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  dir=$(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES; \
	  mkdir -p $$dir; \
	  if test -r $$lang.gmo; then \
	    $(INSTALL_DATA) $$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $$lang.gmo as $$dir/$(GETTEXT_PACKAGE).mo"; \
	  fi; \
	done

clean: 	
	rm -f *.mo *.gmo

update-po: 
	$(MAKE) $(GETTEXT_PACKAGE).pot
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  echo "$$lang:"; \
	  if test -r $$lang.po; then \
	    $(MSGMERGE) -U $$lang.po $(GETTEXT_PACKAGE).pot; \
	  else \
	    cp $(GETTEXT_PACKAGE).pot $$lang.po; \
	  fi; \
	done

=== debian/changelog ===
status-area-orientationlock-applet (1.1.1-2) unstable; urgency=low

  * Updated french translation

 -- Christian Ratzenhofer <christian.ratzenhofer@cdnm.at>  Fri, 24 May 2013 01:19:01 +0200

status-area-orientationlock-applet (1.1.1-1) unstable; urgency=low

  * Updated english translations.

 -- Tomasz Pieniążek <t.pieniazek@gazeta.pl>  Thu, 31 Jan 2013 10:42:00 +0200

status-area-orientationlock-applet (1.1-1) unstable; urgency=low

  * Prepared for portrait lock.
  * Updated polish translation.

 -- Tomasz Pieniążek <t.pieniazek@gazeta.pl>  Mon, 14 Jan 2013 16:18:00 +0200

status-area-orientationlock-applet (1.0+0cssu4) unstable; urgency=low

  * Added dutch translation (by adekker).

 -- Christian Ratzenhofer <christian_ratzenhofer@yahoo.de>  Mon, 22 Oct 2012 18:57:53 +0200

status-area-orientationlock-applet (1.0+0cssu3.1) unstable; urgency=low

  * Changed section to user/desktop (in order to make package optional).
  * Fixed depends and Makefile to facilitate gettext properly.

 -- Christian Ratzenhofer <christian_ratzenhofer@yahoo.de>  Thu, 10 Nov 2011 01:31:56 +0100

status-area-orientationlock-applet (1.0+0cssu3) unstable; urgency=low

  * Updated Polish translation and added French (by mirandir).

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Thu, 08 Sep 2011 01:01:46 +0300

status-area-orientationlock-applet (1.0+0cssu2) unstable; urgency=low

  * Include new translations

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Wed, 30 Mar 2011 00:14:11 +0200

status-area-orientationlock-applet (1.0+0cssu1) unstable; urgency=low

  * Initial release. 

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Wed,  9 Mar 2011 19:52:11 +0200

## status-area-orientationlock-applet 1.1.1-3

=== po/Makefile ===
--- 
+++ 
@@ -17,9 +17,9 @@
 XGETTEXT = xgettext
 MSGMERGE = msgmerge 
 
-PO_LINGUAS= de_DE en_GB en_US pl_PL fi_FI fr_FR nl_NL
+PO_LINGUAS= de_DE en_GB en_US pl_PL fi_FI fr_FR nl_NL sv_SE
 
-USE_LINGUAS= de_DE en_GB en_US pl_PL fi_FI fr_FR nl_NL
+USE_LINGUAS= de_DE en_GB en_US pl_PL fi_FI fr_FR nl_NL sv_SE
 
 POFILES=$(shell LINGUAS="$(PO_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.po "; done)

=== src/Makefile ===
OBJS=lib-orientation-lock-status-menu-widget.o
SOURCES=lib-orientation-lock-status-menu-widget.c
LIB=lib-orientationlock-status-menu.so
PKG_FLAGS=$(shell pkg-config hildon-1 libhildondesktop-1 --libs --cflags)
CCFLAGS=-shared
CC=gcc

all:$(LIB)

$(LIB):$(OBJS)
	$(CC) $(CCFLAGS) $(PKG_FLAGS) $(OBJS) -o $(LIB)

.c.o:
	$(CC) $(CCFLAGS) $(PKG_FLAGS) -c $< -o $@

.PHONE: clean all

clean:
	rm -f $(OBJS) $(LIB)

=== debian/changelog ===
status-area-orientationlock-applet (1.1.1-3) unstable; urgency=low

  * Added swedish translation.

 -- Christian Ratzenhofer <christian.ratzenhofer@cdnm.at>  Sun,  3 Nov 2013 17:33:11 +0100

=== debian/control ===
Source: status-area-orientationlock-applet
Section: user/desktop
Priority: optional
Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
Build-Depends: debhelper (>= 5), libgtk2.0-dev, libglib2.0-dev, libhildon1-dev, libhildondesktop1-dev, gettext

Package: status-area-orientationlock-applet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, hildon-desktop (>= 1:2.2.142-11)
Description: Hildon Status Menu plugin to control orientation lock.
XSBC-Maemo-Display-Name: Orientation Lock Applet
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAAAAAAAA+UO7fwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9sCGhMzOURHUsYAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJ
 TVBXgQ4XAAAFH0lEQVRo3u2aS28bVRiGn+NxfGmT1IMLTtJUTgsOUlsqWi5C
 VFUiVekGqSABQoItYsmGZX9A/wMrFqwAoSogUcXKokK0KRIl0EWt1E0vuTSJ
 4saJOzeP7cMiJ8WJHcd3B4lPsmzP5cz7znc573dm4D9uotEBpJQh4DgQABaA
 J0KIbLsIeJswRhQYVQQywDXgXtH+Fy5cuDB86dKlCKA1erFIJJILh8N/j42N
 PWwWAQCP+vQA4SICwVAodEzX9dPj4+M4jkOhUGjoQn19fYyNjfVNTEz8dPHi
 xSfeOsNGAEeACNAHbABd6g6/LaXsEkL8CohAIHA4k8lw5/4cRjhGz9p9PPZG
 3QSWlpbo7e1leHh4AKiegJTSA5wCTgKDKmTK2SFA37lxJdAPX/5M4OuP8D+4
 WTcB27bJZrPV54ACfgY4p8BtWQp4qO7+YeAVIAjMAjdKBno8DVdGyW88aixp
 vd7qk1hKeQj4GOhXm1aB34F7QogNdcx7wGtqvwXcEEKslgxmrkPiOhlN40Ak
 UjeBoaGh6ghIKY8AnwAHgXUgDiSEEHLHocNbpwCPlWfKWjgcJhwO09PTQzAY
 rBn82toag4ODexOQUh4GPgP8wH3gRyGEvcu414E3gRngtiqle8ZxPQSqmgdU
 zH+gwM8A3wshdq19QojbCnjV5rou2WwWn8/XlPq9015XMZ8GrlYC34gZhlF3
 FdqVgKrv59TfSSGE0yoJ4LouruvWfF4ikajogQEgpJL2bqt1jGVZNZ+TTqcr
 EjimvmfKVJumm23b5PP5xnJASnlWSvm5lPIs8OK/0SQ/lVKel1IebCWJenOh
 2AMjKmlHlBhDSYXjwFtAd6u90IjA86hSifruKpqUbGBeza77LheKCVwHvgWc
 ohA6ohL5WjUTU6NmmmbdXvAIIZ4BJnC6yAMAvUKIjXYks5SypL7XOpFZKlxk
 UQj92c7e1jTNhqREcSsYVmrzUTsJFAoFLMuqWSN5lZ6RExMTZzRNG1Xbz01O
 TjajwnTNzc1FNU07NDIygs/no6uriwq6aps+SiaTM1NTUzN7EojH4+8nk8mr
 t27d2tbtdNJ8Ph+xWIyBgYFvFhcXb1YkkEqlvorH40xPT2PbNl6vl6GhoW3a
 27ZtEolEyVTeKgsEAqRSKVzXPQ9UJrC8vHxgaWnpeSXI5XIkk0lSqVSJi3Vd
 bxnoTCZDLpfDsixWV1cRQnD06FGv4zh+v9/v1Lwu1Eqw5ezp06esrKzUpI+8
 nY71QqGAbduYpkk6na5Z3Hk7CdyyLEzTRMr658q2E8jn8xiGgeM4DQFvO4Et
 4PVKho4RyGazGIZRV/vYUQKO42CaZsPA9wqzphOwLAvDMBpehS4mUGksb7Mq
 ylYpbBbwnd7cTeR5GwXejFJYjVdDoVDzCLSqoux2kxYWFjBNs6ySrYmA67pY
 ltUW4Du7tZWVFSJlVrWrItDqUlit18s1PN69Ys+27Y4C37mGpOv6tqZnG4FC
 oBe3/yT5B3+QWZ6ju7u746A1TSMajT5/MnPixAlisRj5fH5xGwGPx0NGfxnj
 ix/gyigsPizpB1pt5TytaVquv78/FQwGbRVK+fn5+buXL19+UkzA8fv9HJy/
 h3FldPN51man1rE7r+s60WiUQqGwPjU19QvwbItnSQ6Mj4/f1HX93TOvKj7R
 d9gvNjs7+xubq4RlE3HrVYNToVDow0Ag8Ab7yCzLurO+vv4d8NeuKxlFv1+i
 Ca8CNLt6svnQMM//tk/tH7NpYULuIVsYAAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	rm -f build-stamp install-stamp
	# Add here commands to clean up after the build process.
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/status-area-orientationlock-applet install

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	#dh_installdocs
	#dh_installchangelogs
	#dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_makeshlibs
	dh_installdeb
	dh_gencontrol 
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep
.PHONY: build clean binary-arch binary-indep binary install
